<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY dbstyle PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA dsssl>
<!ENTITY Revision	"Version">
<!ENTITY RevHistory	"Document version">
<!ENTITY emptyheader	"">
<!ENTITY by              " "> <!-- overridden by peter for copyright -->
]>

<style-sheet>
<style-specification use="docbook">
<style-specification-body>

;; mystuff here

;; language!
;;(define %default-language% "no")
(define en-revhistory-name	"&RevHistory;")
(define en-revision-name	"&Revision;")
(define empty-header "&emptyheader;")
(define %gentext-no-by% "&by;")

(element guibutton ($bold-seq$))
(element guiicon ($bold-seq$))
(element guilabel ($bold-seq$))
(element guimenu ($bold-seq$))
(element guimenuitem ($bold-seq$))
(element guisubmenu ($bold-seq$))

(define %chapter-autolabel% 
  ;; Are chapters enumerated?
  #f)

;(define %body-attr% 
;  ;; What attributes should be hung off of BODY?
;  (list
;   (list "BGCOLOR" "#E8EFD5")
;   (list "TEXT" "#1F1F1F")
;   (list "LINK" "#0000FF")
;   (list "VLINK" "#840084")
;   (list "ALINK" "#0000FF")))

(define %admon-graphics-path%
  ;; Path to admonition graphics
  "./")

(define %admon-graphics%
  ;; Use graphics in admonitions?
  #t)

(define ($admon-graphic$ #!optional (nd (current-node)))
  ;; Admonition graphic file
  (cond ((equal? (gi nd) (normalize "tip"))
	 (string-append %admon-graphics-path% "tip.jpg"))
	((equal? (gi nd) (normalize "note"))
	 (string-append %admon-graphics-path% "note.jpg"))
	((equal? (gi nd) (normalize "important"))
	 (string-append %admon-graphics-path% "important.jpg"))
	((equal? (gi nd) (normalize "caution"))
	 (string-append %admon-graphics-path% "caution.jpg"))
	((equal? (gi nd) (normalize "warning"))
	 (string-append %admon-graphics-path% "warning.jpg"))
	(else (error (string-append (gi nd) " is not an admonition.")))))


(define %use-id-as-filename%
  ;; Use ID attributes as name for component HTML files?
  #t)

(define ($html-null-header$)
  (empty-sosofo))



(define (titlepage-recto-legalnotice #!optional (node (current-node)))
  (let ((notices     (select-elements 
		      (children (parent node))
		      (normalize "legalnotice")))
	(copyrights  (select-elements 
		      (children (parent node))
		      (normalize "copyright")))
; Peter added revisions
	(revisions  (select-elements 
		      (children (parent node))
		      (normalize "revhistory"))))
    (if (and %generate-legalnotice-link%
	     (not nochunks))
	;; Divert the contents of legal to another file.  It will be xref'd
	;; from the Copyright.
	(if (first-sibling? node)
	    (make sequence
	      (make entity
		system-id: (html-entity-file
			    ($legalnotice-link-file$ node))
		(if %html-pubid%
		    (make document-type
		      name: "HTML"
		      public-id: %html-pubid%)
		    (empty-sosofo))
		(make element gi: "HTML"
		      (make element gi: "HEAD"
;;			    ($standard-html-header$))
			    ($html-null-header$))
		      (make element gi: "BODY" 
			    attributes: %body-attr%
;;			    (header-navigation node)
			    ($semiformal-object$)
			    (with-mode legal-notice-link-mode
			      (process-node-list (node-list-rest notices)))
; Peter added revisions
			      (process-node-list (node-list revisions))
;;			    (footer-navigation node)
))) 
	      (if (node-list-empty? copyrights)
		  (make element gi: "A"
			attributes: (list 
				     (list "HREF" 
					   ($legalnotice-link-file$
					    node)))
			(literal (gentext-element-name node)))
		  (empty-sosofo)))
	    (empty-sosofo))
	($semiformal-object$))))


(define %generate-legalnotice-link% #t)
;;(define $legalnotice-link-file$ legalnotice)
;;(define ($legalnotice-link-file$ legalnotice)
;;  ;; Name of output file for legal notices
;;  (string-append "ln" 
;;         (number->string (all-element-number legalnotice))
;;         %html-ext%))
(define ($legalnotice-link-file$ legalnotice)
  ;; Name of output file for legal notices
  (string-append "legalnotice" 
;;         (number->string (all-element-number legalnotice))
         %html-ext%))

(define use-output-dir
  ;; If an output-dir is specified, should it be used?
  #t)
;;(define %output-dir%
  ;; The directory to which HTML files should be written
;;  "../htm/")

(define %root-filename%
  ;; Name for the root HTML document
  "index")

(define %html-ext% 
  ;; Default extension for HTML output files
  ".html")

(define %html-header-tags% 
'(("meta" ("http-equiv" "Content-Type")
          ("content" "text/html; charset=ISO-8859-1"))))

(define %stylesheet% "docbook.css")

</style-specification-body>
</style-specification>
<external-specification id="docbook" document="dbstyle">
</style-sheet>